#ifndef _ROBOCUP_SRF10_H_
#define _ROBOCUP_SRF10_H_

#include <stdint.h>


enum Srf10Units {
	Inches = 0x50, Centimeters = 0x51, Microseconds = 0x52
};

class Srf10
{
private:
	uint8_t id;
	
	uint8_t gain;
	uint8_t range;
	
	int firmware;
	
	long distance;
	
	Srf10Units unit;
	
	int readFirmware();
public:
	Srf10(uint8_t id);
	
	uint8_t getGain() {return gain;}
	bool setGain(uint8_t gain);
	
	uint8_t getRange() {return range;}
	bool setRange(uint8_t range);
	
	Srf10Units getUnit() {return unit;}
	void setUnit(Srf10Units unit) {this->unit = unit;}
	
	int getFirmware() {return firmware;}
	
	long updateDistance();
	long getDistance() {return distance;}
};

#endif
